import json
from pathlib import Path


class ReadingPosition:
    def __init__(self, file: Path, user_id: str):
        self.file = file
        self.user_id = user_id

        if file.exists():
            self.dict = json.loads(self.file.read_text())
        else:
            self.dict = {}

    def get(self) -> int:
        return self.dict.get(self.user_id, 0)

    def set(self, pos: int):
        self.dict[self.user_id] = pos
        with self.file.open('w') as f:
            f.write(json.dumps(self.dict))

    def get_and_set(self, pos: int) -> int:
        old_pos = self.get()
        self.set(pos)
        return old_pos
