import re


def parse_toot_url(url: str) -> tuple[str, str, str]:
    """
    :param url: E.g. https://mastodon.instance/@user@another.instance/123456
    :return: instance, username, toot_id
    """

    pattern = re.compile(r'(^https://[^/]+)/([^/]+)/([0-9]+)$')
    match = pattern.match(url)
    if match is None:
        raise ValueError(f'Could not parse toot url: {url}')
    return match.group(1), match.group(2), match.group(3)
