import os
from pathlib import Path


def escape(filename: str) -> str:
    return filename.replace('/', '_')


def _get_path_util_py_dir() -> Path:
    return Path(os.path.dirname(os.path.realpath(__file__)))


def get_src_dir() -> Path:
    return _get_path_util_py_dir().parent


def get_project_dir() -> Path:
    return get_src_dir().parent


def get_templates_dir() -> Path:
    return get_project_dir().joinpath('templates')


def get_static_dir() -> Path:
    return get_project_dir().joinpath('static')


if __name__ == '__main__':
    get_project_dir()
